svn error during msfupdate

Subversion Error

Any idea how to solve it? I encounter this when I want to update my metasploit. So, what I do to solve this problem (maybe temporarily) is:
install latest subversion via macports:

add this line:

to your ~/.profile

so, mine look like this:

then perform:

and this:

you will get like this..

Hope this helps. Maybe la. :p

Any Comments?